Skip to main content
POST
/
v1
/
admin
/
airbyte-sources
/
{source_id}
/
sync
Start an Airbyte sync
curl --request POST \
  --url https://api.withsplendor.com/v1/admin/airbyte-sources/{source_id}/sync \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-splendor-tenant-id: <x-splendor-tenant-id>' \
  --data '
{
  "trigger": "manual"
}
'
{
  "run": {
    "airbyte_job_id": "job_1",
    "bytes_synced": 204800,
    "completed_at": "2026-01-15T09:30:00Z",
    "created_at": "2026-01-15T09:30:00Z",
    "error_message": null,
    "records_synced": 1240,
    "run_id": 5,
    "source_id": 12,
    "started_at": "2026-01-15T09:30:00Z",
    "status": "succeeded",
    "trigger": "manual",
    "updated_at": "2026-01-15T09:30:00Z"
  }
}

Authorizations

Authorization
string
header
required

API token issued from the Splendor console.

Headers

x-splendor-tenant-id
string
required

Selects the tenant (workspace) the request acts within.

Path Parameters

source_id
integer
required

Body

application/json
trigger
enum<string>
default:manual
Available options:
manual,
scheduled,
backfill

Response

Successful Response

run
ConnectorRunItem · object
required